# ApplicationFramework
TKCAF
TFunction

# TFunction_Function Class Reference

Provides the following two services
- a link to an evaluation driver
- the means of providing a link between a
function and an evaluation driver.
.

`#include <TFunction_Function.hxx>`

Inheritance diagram for TFunction_Function:

[legend]

## Public Member Functions

Standard_EXPORT | TFunction_Function ()
const Standard_GUID & | GetDriverGUID () const
| Returns the GUID for this function's driver. .
Standard_EXPORT void | SetDriverGUID (const Standard_GUID &guid)
| Sets the driver for this function as that indentified by the GUID guid. .
Standard_Boolean | Failed () const
| Returns true if the execution failed .
Standard_EXPORT void | SetFailure (const Standard_Integer mode=0)
| Sets the failed index. .
Standard_Integer | GetFailure () const
| Returns an index of failure if the execution of this function failed. If this integer value is 0, no failure has occurred. //! Implementation of Attribute methods: =================================== .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
virtual Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
virtual Standard_EXPORT void | References (const Handle(TDF_DataSet)&aDataSet) const
| Adds the first level referenced attributes and labels to <adataset>. For this, use the AddLabel or AddAttribute of DataSet. If there is none, do not implement the method. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_TFunction_Function | Set (const TDF_Label &L)
| Static methods: ============== //! Finds or Creates a function attribute on the label <l>. Returns the function attribute. .
static Standard_EXPORT Handle_TFunction_Function | Set (const TDF_Label &L, const Standard_GUID &DriverID)
| Finds or Creates a function attribute on the label <l>. Sets a driver ID to the function. Returns the function attribute. .
static Standard_EXPORT const Standard_GUID & | GetID ()
| Returns the GUID for functions. //! Returns a function found on the label. //! Instance methods: ================ .

## Private Attributes

Standard_GUID | myDriverGUID
Standard_Integer | myFailure

## Constructor & Destructor Documentation

Standard_EXPORT TFunction_Function::TFunction_Function | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TFunction_Function::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_Boolean TFunction_Function::Failed | ( |  | ) | const`[inline]`

const Standard_GUID & TFunction_Function::GetDriverGUID | ( |  | ) | const`[inline]`

Standard_Integer TFunction_Function::GetFailure | ( |  | ) | const`[inline]`

static Standard_EXPORT const Standard_GUID& TFunction_Function::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TFunction_Function::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TFunction_Function::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT Handle_TDF_Attribute TFunction_Function::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TFunction_Function::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

virtual Standard_EXPORT void TFunction_Function::References | ( | const Handle(TDF_DataSet)& | aDataSet | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

virtual Standard_EXPORT void TFunction_Function::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TFunction_Function TFunction_Function::Set | ( | const TDF_Label & | L,
|  | const Standard_GUID & | DriverID
| ) | `[static]`

static Standard_EXPORT Handle_TFunction_Function TFunction_Function::Set | ( | const TDF_Label & | L | ) | `[static]`

Standard_EXPORT void TFunction_Function::SetDriverGUID | ( | const Standard_GUID & | guid | ) |

Standard_EXPORT void TFunction_Function::SetFailure | ( | const Standard_Integer | mode = `0` | ) |

## Field Documentation

Standard_GUID TFunction_Function::myDriverGUID `[private]`

Standard_Integer TFunction_Function::myFailure `[private]`

The documentation for this class was generated from the following files:

- TFunction_Function.hxx
- TFunction_Function.lxx